Loading...
Searching...
No Matches
ncplocalresidual.hh File Reference

Details needed to calculate the local residual in the compositional multi-phase NCP-model . More...

`#include <dune/istl/bvector.hh>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/models/common/diffusionmodule.hh>`
`#include <opm/models/common/energymodule.hh>`
`#include <opm/models/common/multiphasebaseproperties.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | Opm::NcpLocalResidual< TypeTag >
| Details needed to calculate the local residual in the compositional multi-phase NCP-model . More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Details needed to calculate the local residual in the compositional multi-phase NCP-model .